Subject: Re: [PATCH] powerpc: Disable external interrupts in bootwrapper

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 28 Mar 2007 10:28:55 +1000

On Tue, 2007-03-27 at 17:12 -0700, Mark A. Greer wrote:
> On Wed, Mar 28, 2007 at 09:43:07AM +1000, Paul Mackerras wrote:
> > Mark A. Greer writes:
> > 
> > > Disable external interrupts very early in the bootwrapper in case
> > > the firmware left a device generating interrupts.
> > 
> > Sounds reasonable, except that I wonder if systems running under a
> > real OF want to do this...
> 
> I don't know.  Would someone who knows OF speak up?

OF isn't supposed to use external interrupts but I wouldn't bet on what
Apple's one does... I think it's not safe to do that thus on OF based
platforms.

Ben.